Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038422
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2018-04-20 13:522018-05-17 09:49
ReporterJONHMView Statuspublic 
Assigned Tojarmendariz 
PriorityhighResolutionfixedFixed in Version3.0PR18Q3
StatusclosedFix in branchFixed in SCM revisionf2979bad6889
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038422: Characteristic description selector included in a process definition not showing values when a filter is set

DescriptionCharacteristic description selector included in a process definition not showing values when a filter is set
Steps To Reproduce- Open 'Product Characteristic' window and create a new record and also a characteristic value (lines tab)

- Then open 'Product' window and select "Cerveza Ale 0,5L". Switch to [Characteristics] tab and assign it a new characteristic.

- Run process "Update Characteristics" for that product and press OK.

- Go back to 'Product Characteristics' window and switch the cursor to the lines tab to run the "Add Products" process

- Filter by name 'Cerveza' and then open the "Characteristic Desciption" selector (press the button)

- It shows message 'No items to show'
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 00307613.0PR16Q1 closedNaroaIriarte product characteristics popup shows all values without filtering out previous filters 

-  Notes
(0104307)
hgbot (developer)
2018-05-07 12:29

Repository: erp/devel/pi
Changeset: f2979bad688953ced9571ab74cf312c989a0f81b
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Mon Apr 30 14:07:14 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/f2979bad688953ced9571ab74cf312c989a0f81b [^]

Fixed bug 38422: Characteristic description selector not working with filter.

Product characteristics filter assumes the parentGridEntity is always a Product,
but for the Add Product dialog, it is a ProductWithCharacteristics entity. In this
case it is needed to add a reference to a Product instance to make filtering
work as expected.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-characteristics.js
---
(0104345)
hgbot (developer)
2018-05-09 10:48

Repository: erp/devel/pi
Changeset: 6f50b0fae846e5ab319ae45b59f9baf1a5eaf58d
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Wed May 09 10:46:34 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/6f50b0fae846e5ab319ae45b59f9baf1a5eaf58d [^]

Related to issue 38422: Characteristic desc. selector not working with filter.

Adding filtering by ProductWithCharacteristicValue when no filter is applied in
the parent grid. This makes the characteristics selector behavior coherent with
the rest of selectors: if no filtering is performed, shows only the
characteristics present in the grid entries instead of all available values,
same as if we were filtering.

---
M src/org/openbravo/materialmgmt/ProductCharacteristicsDS.java
---
(0104433)
hudsonbot (developer)
2018-05-09 19:30

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2be7d3efe606 [^]
Maturity status: Test
(0104436)
hudsonbot (developer)
2018-05-09 19:30

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2be7d3efe606 [^]
Maturity status: Test
(0104503)
hgbot (developer)
2018-05-14 17:18

Repository: erp/devel/pi
Changeset: 27e680a3b013dbc9936672734ac400a511c50f99
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Mon May 14 17:18:34 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/27e680a3b013dbc9936672734ac400a511c50f99 [^]

Related to bug 38422: Characteristic desc. selector not working with filter.

Adding null check and applied formatter.

---
M src/org/openbravo/materialmgmt/ProductCharacteristicsDS.java
---
(0104508)
hudsonbot (developer)
2018-05-14 21:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/80198c6f0a1d [^]
Maturity status: Test
(0104554)
AugustoMauch (developer)
2018-05-17 09:49

Code reviewed and verified in pi@7532d72d33fb

- Issue History
Date Modified Username Field Change
2018-04-20 13:52 JONHM New Issue
2018-04-20 13:52 JONHM Assigned To => platform
2018-04-20 13:52 JONHM Modules => Core
2018-04-20 13:52 JONHM Triggers an Emergency Pack => No
2018-04-20 13:55 JONHM Severity minor => major
2018-04-20 13:58 Practics Issue Monitored: Practics
2018-04-25 16:38 jarmendariz Assigned To platform => jarmendariz
2018-04-25 16:49 jarmendariz Status new => acknowledged
2018-04-25 16:49 jarmendariz Status acknowledged => scheduled
2018-04-26 16:45 jarmendariz Relationship added related to 0030761
2018-05-07 12:29 hgbot Checkin
2018-05-07 12:29 hgbot Note Added: 0104307
2018-05-07 12:29 hgbot Status scheduled => resolved
2018-05-07 12:29 hgbot Resolution open => fixed
2018-05-07 12:29 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/f2979bad688953ced9571ab74cf312c989a0f81b [^]
2018-05-07 12:39 jarmendariz Review Assigned To => AugustoMauch
2018-05-08 13:03 JONHM Steps to Reproduce Updated View Revisions
2018-05-09 10:48 hgbot Checkin
2018-05-09 10:48 hgbot Note Added: 0104345
2018-05-09 19:30 hudsonbot Checkin
2018-05-09 19:30 hudsonbot Note Added: 0104433
2018-05-09 19:30 hudsonbot Checkin
2018-05-09 19:30 hudsonbot Note Added: 0104436
2018-05-14 17:18 hgbot Checkin
2018-05-14 17:18 hgbot Note Added: 0104503
2018-05-14 21:39 hudsonbot Checkin
2018-05-14 21:39 hudsonbot Note Added: 0104508
2018-05-17 09:49 AugustoMauch Note Added: 0104554
2018-05-17 09:49 AugustoMauch Status resolved => closed
2018-05-17 09:49 AugustoMauch Fixed in Version => 3.0PR18Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker